Bug 847503 - AttributeError: 'SwapSpace' object has no attribute 'mapName'
AttributeError: 'SwapSpace' object has no attribute 'mapName'
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-08-12 07:47 EDT by Gerald Pfeifer
Modified: 2013-05-09 21:35 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-05-09 21:35:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: anaconda-tb-AoStAH (676.06 KB, text/plain)
2012-08-12 07:48 EDT, Gerald Pfeifer
no flags Details

  None (edit)
Description Gerald Pfeifer 2012-08-12 07:47:53 EDT
libreport version: 2.0.10
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/loop3 --lang en_US.UTF-8
executable:     /sbin/anaconda
exnFileName:    /tmp/anaconda-tb-AoStAH
hashmarkername: anaconda
kernel:         3.3.4-5.fc17.x86_64
other involved packages: 
product:        Fedora
release:        Fedora release 17 (Beefy Miracle)
time:           Sun 12 Aug 2012 01:16:24 PM CEST
version:        17

anaconda-tb-AoStAH: Text file, 692285 bytes

:The following was filed automatically by anaconda:
:anaconda 17.29 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 1945, in _postCreate
:    self._name = self.slave.format.mapName
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 798, in create
:    self._postCreate()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/deviceaction.py", line 241, in execute
:    self.device.create(intf=intf)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 320, in processActions
:    action.execute(intf=self.intf)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 375, in doIt
:    self.devicetree.processActions()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/packages.py", line 122, in turnOnFilesystems
:    anaconda.storage.doIt()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 383, in dispatch
:    self.dir = self.steps[self.step].target(self.anaconda)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 247, in go_forward
:    self.dispatch()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1201, in nextClicked
:    self.anaconda.dispatch.go_forward()
:AttributeError: 'SwapSpace' object has no attribute 'mapName'

:DESKTOP_STARTUP_ID=userhelper/Starting Install to Hard Drive/1261-0-localhost.localdomain_TIME0
Comment 1 Gerald Pfeifer 2012-08-12 07:48:08 EDT
Created attachment 603769 [details]
File: anaconda-tb-AoStAH
Comment 2 Chris Lumens 2012-08-20 11:25:49 EDT
Please test this with F18 alpha (if you can) as we've made a lot of changes in this area and I believe it may be fixed.
Comment 3 Adam Williamson 2013-05-09 21:35:52 EDT
Going through old anaconda bugs. The reporter never got back, and we have seen no dupes of this. Let's close it out. Gerald, if you ever get around to testing with F18, F19 or later, please feel free to re-open or file a new bug if appropriate.

Note You need to log in before you can comment on or make changes to this bug.